#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define compile_apidox 0
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define tarball_version %{version}

%define rel 1

Name:           kdevplatform
Summary:        Integrated Development Environment for C++/C
Version:        5.0.3
Release:        %mkrel %{rel}
Group:          Development/C++
License:        GPLv2
URL:            http://www.kde.org
Source0:        http://download.kde.org/stable/kdevelop/%{version}/src/%{name}-%{tarball_version}.tar.xz

BuildRequires:  flex
BuildRequires:  graphviz
BuildRequires:  db-devel
BuildRequires:  subversion-devel
BuildRequires:  apr-devel
BuildRequires:  apr-util-devel
BuildRequires:  grantlee-devel
%if %compile_apidox
BuildRequires:  doxygen
%endif
BuildRequires:  libcommoncpp-devel
BuildRequires:  boost-devel
BuildRequires:  rapidsvn
BuildRequires:  qjson-devel >= 0.7.0

BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Declarative)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Sonnet)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5ThreadWeaver)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  libkomparediff2-devel >= 1:5.0

Obsoletes:      kdevelop4 < 3.93

Obsoletes:      kdevplatform4 < 4:4.90.90
Provides:       kdevplatform4 = 4:%version-%release

Obsoletes:      gluon < 0.71.0-11
Obsoletes:      %{mklibname gluonaudio 0} < 0.71.0-11
Obsoletes:      %{mklibname gluoncore 0} < 0.71.0-11
Obsoletes:      %{mklibname gluoncreator 0} < 0.71.0-11
Obsoletes:      %{mklibname gluonengine 0} < 0.71.0-11
Obsoletes:      %{mklibname gluoninput 0} < 0.71.0-11
Obsoletes:      %{mklibname gluongraphics 0} < 0.71.0-11
Obsoletes:      %{mklibname gluonplayer 0} < 0.71.0-11
Obsoletes:      %{mklibname gluon -d} < 0.71.0-11

%description
%name module needed by Kdevelop.

%files -f %name.lang
%_kf5_bindir/kdev_dbus_socket_transformer
%_kf5_bindir/kdev_format_source
%_kf5_bindir/kdevplatform_shell_environment.sh
%_qt5_plugindir/grantlee/5.1/kdev_filters.so
%_qt5_plugindir/kdevplatform
%_qt5_qml/org/kde/kdevplatform
%_kf5_iconsdir/*/*/*/*
%_kf5_datadir/kdevcodegen
%_kf5_datadir/kdevcodeutils
%_kf5_servicetypes/kdevelopplugin.desktop

#-----------------------------------------------------------------------------
 
%define kdevplatformtests_major 10
%define libkdevplatformtests %mklibname kdevplatformtests %kdevplatformtests_major

%package -n     %libkdevplatformtests
Summary:        KdevPlatform library
Group:          System/Libraries
Obsoletes:      %{mklibname kdevplatformtests 8}
Obsoletes:      %{mklibname kdevplatformjsontests 8}

%description -n %libkdevplatformtests
KdevPlatform library.

%files -n %libkdevplatformtests
%_kf5_libdir/libKDevPlatformTests.so.%{kdevplatformtests_major}*

#-----------------------------------------------------------------------------

%define kdevplatformserialization_major 10
%define libkdevplatformserialization %mklibname kdevplatformserialization %kdevplatformserialization_major

%package -n     %libkdevplatformserialization
Summary:        KdevPlatform library
Group:          System/Libraries

%description -n %libkdevplatformserialization
KdevPlatform library.

%files -n %libkdevplatformserialization
%_kf5_libdir/libKDevPlatformSerialization.so.%{kdevplatformserialization_major}*

#-----------------------------------------------------------------------------

%define kdevplatforminterfaces_major 10
%define libkdevplatforminterfaces %mklibname kdevplatforminterfaces %kdevplatforminterfaces_major

%package -n     %libkdevplatforminterfaces
Summary:        KdevPlatform library
Group:          System/Libraries
Obsoletes:      %{mklibname kdevplatforminterfaces 8}

%description -n %libkdevplatforminterfaces
KdevPlatform library.

%files -n %libkdevplatforminterfaces
%_kf5_libdir/libKDevPlatformInterfaces.so.%{kdevplatforminterfaces_major}*

#-----------------------------------------------------------------------------

%define kdevplatformlanguage_major 10
%define libkdevplatformlanguage %mklibname kdevplatformlanguage %kdevplatformlanguage_major

%package -n     %libkdevplatformlanguage
Summary:        KdevPlatform library
Group:          System/Libraries
Obsoletes:      %{mklibname kdevplatformlanguage 8}

%description -n %libkdevplatformlanguage
KdevPlatform library.

%files -n %libkdevplatformlanguage
%_kf5_libdir/libKDevPlatformLanguage.so.%{kdevplatformlanguage_major}*

#-----------------------------------------------------------------------------

%define kdevplatformoutputview_major 10
%define libkdevplatformoutputview %mklibname kdevplatformoutputview %kdevplatformoutputview_major

%package -n     %libkdevplatformoutputview
Summary:        KdevPlatform library
Group:          System/Libraries
Obsoletes:      %{mklibname kdevplatformoutputview 8}

%description -n %libkdevplatformoutputview
KdevPlatform library.

%files -n %libkdevplatformoutputview
%_kf5_libdir/libKDevPlatformOutputView.so.%{kdevplatformoutputview_major}*

#-----------------------------------------------------------------------------

%define kdevplatformproject_major 10
%define libkdevplatformproject %mklibname kdevplatformproject %kdevplatformproject_major

%package -n     %libkdevplatformproject
Summary:        KdevPlatform library
Group:          System/Libraries
Obsoletes:      %{mklibname kdevplatformproject 8}

%description -n %libkdevplatformproject
KdevPlatform library.

%files -n %libkdevplatformproject
%_kf5_libdir/libKDevPlatformProject.so.%{kdevplatformproject_major}*

#-----------------------------------------------------------------------------

%define kdevplatformshell_major 10
%define libkdevplatformshell %mklibname kdevplatformshell %kdevplatformshell_major

%package -n     %libkdevplatformshell
Summary:        KdevPlatform library
Group:          System/Libraries
Obsoletes:      %{mklibname kdevplatformshell 8}

%description -n %libkdevplatformshell
KdevPlatform library.

%files -n %libkdevplatformshell
%_kf5_libdir/libKDevPlatformShell.so.%{kdevplatformshell_major}*

#-----------------------------------------------------------------------------

%define kdevplatformutil_major 10
%define libkdevplatformutil %mklibname kdevplatformutil %kdevplatformutil_major

%package -n     %libkdevplatformutil
Summary:        KdevPlatform library
Group:          System/Libraries
Obsoletes:      %{mklibname kdevplatformutil 8}

%description -n %libkdevplatformutil
KdevPlatform library.

%files -n %libkdevplatformutil
%_kf5_libdir/libKDevPlatformUtil.so.%{kdevplatformutil_major}*

#-----------------------------------------------------------------------------

%define kdevplatformvcs_major 10
%define libkdevplatformvcs %mklibname kdevplatformvcs %kdevplatformvcs_major

%package -n     %libkdevplatformvcs
Summary:        KdevPlatform library
Group:          System/Libraries
Obsoletes:      %{mklibname kdevplatformvcs 8}

%description -n %libkdevplatformvcs
KdevPlatform library.

%files -n %libkdevplatformvcs
%_kf5_libdir/libKDevPlatformVcs.so.%{kdevplatformvcs_major}*

#-----------------------------------------------------------------------------

%define sublime_major 10
%define libsublime %mklibname kdevplatformsublime %sublime_major

%package -n     %libsublime
Summary:        KdevPlatform library
Group:          System/Libraries
Obsoletes:      %{mklibname sublime 8}

%description -n %libsublime
KdevPlatform library.

%files -n %libsublime
%_kf5_libdir/libKDevPlatformSublime.so.%{sublime_major}*

#-----------------------------------------------------------------------------

%define kdevplatformdebugger_major 10
%define libkdevplatformdebugger %mklibname kdevplatformdebugger %kdevplatformdebugger_major

%package -n     %libkdevplatformdebugger
Summary:        KdevPlatform library
Group:          System/Libraries
Obsoletes:      %{mklibname kdevplatformdebugger 8}

%description -n %libkdevplatformdebugger
KdevPlatform library.

%files -n %libkdevplatformdebugger
%_kf5_libdir/libKDevPlatformDebugger.so.%{kdevplatformdebugger_major}*

#-----------------------------------------------------------------------------

%define kdevplatformdocumentation_major 10
%define libkdevplatformdocumentation %mklibname kdevplatformdocumentation %kdevplatformdocumentation_major

%package -n     %libkdevplatformdocumentation
Summary:        KdevPlatform library
Group:          System/Libraries
Obsoletes:      %{mklibname kdevplatformdocumentation 8}

%description -n %libkdevplatformdocumentation
KdevPlatform library.

%files -n %libkdevplatformdocumentation
%_kf5_libdir/libKDevPlatformDocumentation.so.%{kdevplatformdocumentation_major}*

#-----------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n     %develname
Summary:        Development files for kdevplatform
Group:          Development/KDE and Qt
Requires:       %libkdevplatformtests = %version-%release
Requires:       %libkdevplatformserialization = %version-%release
Requires:       %libkdevplatforminterfaces = %version-%release
Requires:       %libkdevplatformlanguage = %version-%release
Requires:       %libkdevplatformoutputview = %version-%release
Requires:       %libkdevplatformproject = %version-%release
Requires:       %libkdevplatformshell = %version-%release
Requires:       %libkdevplatformutil = %version-%release
Requires:       %libkdevplatformvcs = %version-%release
Requires:       %libsublime = %version-%release
Requires:       %libkdevplatformdebugger = %version-%release
Requires:       %libkdevplatformdocumentation = %version-%release
Obsoletes:      %{mklibname -d kdevplatform 4} < 4:4.90.90
Provides:       kdevplatform-devel = %version-%release
Obsoletes:      %{_lib}kdevplatform4-devel < 4:4.90.90

%description -n %develname
Development files for kdevplatform.

%files -n %develname
%{_kf5_libdir}/cmake/KDevPlatform/
%{_includedir}/kdevplatform
%{_kf5_libdir}/*.so

#-----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{tarball_version}

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make_build

%if %compile_apidox
make apidox
%endif

%install
%make_install -C build

%find_lang %name --all-name --with-kde


%changelog
* Fri Dec 30 2016 neoclust <neoclust> 5.0.3-1.mga6
+ Revision: 1078713
- New version 5.0.3 ( mga#20034 )

* Wed Sep 21 2016 daviddavid <daviddavid> 5.0.1-1.mga6
+ Revision: 1054862
- new version: 5.0.1

* Fri Aug 26 2016 daviddavid <daviddavid> 5.0.0-1.mga6
+ Revision: 1048975
- new version: 5.0.0 final
- devel subpackage requires also libkdevplatformserialization
- fix license

* Wed May 18 2016 neoclust <neoclust> 4.90.91-5.mga6
+ Revision: 1016616
- Rebuild against new grantlee

* Sun Mar 20 2016 luigiwalser <luigiwalser> 4.90.91-4.mga6
+ Revision: 993385
- obsolete gluon

* Sat Mar 05 2016 luigiwalser <luigiwalser> 4.90.91-3.mga6
+ Revision: 985806
- fix libsublime obsoletes

* Fri Feb 26 2016 luigiwalser <luigiwalser> 4.90.91-2.mga6
+ Revision: 979705
- obsolete remaining packages from kdevplatform4

* Thu Jan 28 2016 fwang <fwang> 4.90.91-1.mga6
+ Revision: 928328
- update file list
- 4.90.91

* Thu Oct 29 2015 fwang <fwang> 4.90.90-1.mga6
+ Revision: 896276
- use correct libname for devel package
- add komparediff2 as br
- we currently only have grantlee for qt5 now

  + neoclust <neoclust>
    - New version 4.90.90
    - Move to kdevplatform name

* Tue Feb 10 2015 lmenut <lmenut> 4:1.7.1-1.mga5
+ Revision: 814630
- Update to 1.7.1

* Wed Oct 15 2014 umeabot <umeabot> 4:1.7.0-3.mga5
+ Revision: 741835
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4:1.7.0-2.mga5
+ Revision: 681020
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 4:1.7.0-1.mga5
+ Revision: 668564
- 1.7.0

* Sat Aug 23 2014 fwang <fwang> 4:1.6.90-1.mga5
+ Revision: 666744
- update filelist
- update lib major
- 1.6.90

* Tue Dec 17 2013 neoclust <neoclust> 4:1.6.0-2.mga4
+ Revision: 558323
- Rebuild against new grantlee

* Tue Dec 10 2013 colin <colin> 4:1.6.0-1.mga4
+ Revision: 556194
- Fix filelist after upgrade

  + neoclust <neoclust>
    - New version 1.6.0

* Tue Nov 19 2013 fwang <fwang> 4:1.5.2-1.mga4
+ Revision: 551846
- update file list
- update file list
- new version 1.5.2

* Sat Oct 19 2013 umeabot <umeabot> 4:1.5.1-4.mga4
+ Revision: 529517
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 4:1.5.1-3.mga4
+ Revision: 452333
- rebuild for new boost

* Sun Jun 30 2013 fwang <fwang> 4:1.5.1-2.mga4
+ Revision: 448577
- build with gold to make it faster

* Fri May 31 2013 fwang <fwang> 4:1.5.1-1.mga4
+ Revision: 433522
- new version 1.5.1

* Fri May 24 2013 fwang <fwang> 4:1.5.0-1.mga4
+ Revision: 425712
- update file list
- update libmajor
- br grantlee
- new version 1.5.0

* Sat Jan 12 2013 umeabot <umeabot> 4:1.4.1-2.mga3
+ Revision: 356083
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 4:1.4.1-1.mga3
+ Revision: 313218
- new version 1.4.1

* Tue Oct 16 2012 fwang <fwang> 4:1.4.0-1.mga3
+ Revision: 307074
- new version 1.4.0

* Tue Sep 11 2012 fwang <fwang> 4:1.3.90-1.mga3
+ Revision: 292127
- new version 1.3.90

* Sat Aug 04 2012 fwang <fwang> 4:1.3.80-1.mga3
+ Revision: 278384
- update libmajor
- new version 1.3.80

* Sun Apr 15 2012 fwang <fwang> 4:1.3.1-1.mga2
+ Revision: 230832
- new version 1.3.1

* Mon Mar 12 2012 fwang <fwang> 4:1.3.0-1.mga2
+ Revision: 222971
- new version 1.3.0 stable

* Sat Feb 25 2012 fwang <fwang> 4:1.2.90-1.mga2
+ Revision: 214283
- new version 1.2.90

* Tue Feb 14 2012 fwang <fwang> 4:1.2.82-1.mga2
+ Revision: 208695
- new version 1.2.82

* Mon Jan 23 2012 fwang <fwang> 4:1.2.81-1.mga2
+ Revision: 200301
- update file list
- update libmajor
- new version 1.2.81

* Sat Jun 25 2011 mikala <mikala> 4:1.2.3-1.mga2
+ Revision: 113638
- Update tarball to 1.2.3 ( see http://kdevelop.org/kdevelop/kdevelop-423-released )

* Wed Apr 06 2011 mikala <mikala> 4:1.2.2-2.mga1
+ Revision: 81396
- Update tarball to 1.2.2

* Mon Mar 07 2011 mikala <mikala> 4:1.2.0-2.mga1
+ Revision: 66116
- Remove BuildRoot
- imported package kdevplatform4

